Subject: [payload] I-D Action: draft-ietf-payload-rtp-aptx-01.txt

From: "John Lindsay" <[email-masked]>
Date: Tue, 10 Sep 2013 14:50:08 +0100

Hi

A new draft has been uploaded to the IETF Payload workgroup at
https://datatracker.ietf.org/wg/payload/.

The new document makes a few minor changes for IDNITS checking and also
takes account of the comments made by Peter Stevens last week.

A summary of the changes are as follows.

Page 1, IETF Copyright notice updated to 2013.

Page 10, updated formatting for IDNITS check.

Page 14, Section 6 updated to reflect RFC 6838 which supersedes RFC
4288.

Page 16, Section 6.2.1 type corrected An - A as per Peter Stevens
comments.

Page 18, Section 7 now reference 6.1 rather than 7.1, again thanks to
Peters proof reading.

Page 21, new RFC6338 referenced.

Thanks to everyone who has read and commented on the draft.

Regards

John

---

From: "Heinz Peter Reykers" <[email-masked]>
Date: Wed, 11 Sep 2013 12:23:40 +0200

Dear John,
 
thank you for the corrections. Due to the fact that several
manufacturers already have implemented e-aptx as described in the draft
i hope instandly that it will become a rfc soon, so that all other
manufacturers will be compatible to each other! That's what we need for
our daily work in the master control rooms and also in the field.

Best regards
 
Heinz Peter 

____________________________________

Dipl.-Ing. Heinz Peter Reykers

Westdeutscher Rundfunk Köln
Programmverbreitung / WAN 
Audio-Encoding - Kontribution 

Tel.: +49 (0)221 220 - 4183
Fax: +49 (0)221 220 - 774183
mobil: +49 (0)172 251 3066

e-mail: [email-masked]
 
Appellhofplatz 1
D-50600 Köln
Archivhaus 1331
>>> "John Lindsay" <[email-masked]> 10.09.13 15:50 >>>

Hi

 
 
Page 16, Section 6.2.1 type corrected An – A as per Peter Stevens

Regards
 
John

---

From: Harald Alvestrand <[email-masked]>
Date: Tue, 17 Sep 2013 14:52:34 +0200

Brief scan, one question:

Is it possible to offer a stable reference for what "Standard apt-x" and 
"Enhanced apt-x" means?

The closest I can get is "licensed by CSR plc", which presumably means 
that "it means what CSR plc thinks it means", but it would be great to 
have that stated explicitly.

Something like:

The codecs "apt-x" and "Extended apt-x" are defined by CSR plc, an UK 
company.

Section 3 of the draft *almost* says that, but isn't completely 
unambiguous ("licensed by" can mean both "CSR is a licensor" and "CSR is 
a licensee, someone else defines it").

I *think* this is a nit.

On 09/10/2013 03:50 PM, John Lindsay wrote:
> The new document makes a few minor changes for IDNITS checking and 
> also takes account of the comments made by Peter Stevens last week.
>
> Page 14, Section 6 updated to reflect RFC 6838 which supersedes RFC 4288.
>
> Page 16, Section 6.2.1 type corrected An -- A as per Peter Stevens 
> comments.
>
> _______________________________________________
> payload mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/payload

---

From: "John Lindsay" <[email-masked]>
Date: Tue, 24 Sep 2013 18:06:06 +0100

Hi Harald

Thanks for reviewing this and the points raised.

To increase clarity we can change the statement in section 3

From

Standard apt-X and Enhanced apt-X are proprietary audio coding

   algorithms, licensed by CSR plc and widely deployed in a variety of

   audio processing equipment.

To

Standard apt-X and Enhanced apt-X are proprietary audio coding

   algorithms, which can be licensed from CSR plc and are widely 

  deployed in a variety of audio processing equipment.

Section 3 of the doc provides an overview of the codecs operation. The
aim of the draft is how to packetize Standard or Enhanced apt-X over RTP
not to explain the operation of the codec. Further details are likely to
be proprietary to CSR and interested parties would need to talk to CSR
directly about obtaining licenses and setting up NDA's etc for further
information. 

Regards

John

From: [email-masked] [mailto:[email-masked]] On
Behalf Of Harald Alvestrand
Sent: 17 September 2013 13:53
To: [email-masked]
Subject: Re: [payload] I-D Action: draft-ietf-payload-rtp-aptx-01.txt

Something like:

I *think* this is a nit.

	Hi

	The new document makes a few minor changes for IDNITS checking
and also takes account of the comments made by Peter Stevens last week.

	Page 14, Section 6 updated to reflect RFC 6838 which supersedes
RFC 4288.

	Page 16, Section 6.2.1 type corrected An - A as per Peter
Stevens comments.

	Page 18, Section 7 now reference 6.1 rather than 7.1, again
thanks to Peters proof reading.

	Regards

	John

---

From: Harald Alvestrand <[email-masked]>
Date: Fri, 27 Sep 2013 12:01:05 +0200

>   deployed in a variety of audio processing equipment.

That looks good to me. It was a nit, but worth fixing!
> aim of the draft is how to packetize Standard or Enhanced apt-X over 
> RTP not to explain the operation of the codec. Further details are 
> likely to be proprietary to CSR and interested parties would need to 
> talk to CSR directly about obtaining licenses and setting up NDA's etc 
> for further information.
>
> Regards
>
> John
>
> *From:[email-masked] [mailto:[email-masked]] *On 
> Behalf Of *Harald Alvestrand
> *Sent:* 17 September 2013 13:53
> *To:* [email-masked]
> *Subject:* Re: [payload] I-D Action: draft-ietf-payload-rtp-aptx-01.txt
>
> Is it possible to offer a stable reference for what "Standard apt-x" 
> and "Enhanced apt-x" means?
>
> unambiguous ("licensed by" can mean both "CSR is a licensor" and "CSR 
> is a licensee, someone else defines it").
>
> I *think* this is a nit.
>
>
>     Page 18, Section 7 now reference 6.1 rather than 7.1, again thanks
>     to Peters proof reading.
>
>     [email-masked]  <mailto:[email-masked]>
>